<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: HttpResponse Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classHttpResponse-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">HttpResponse Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae2e9409c572d6912bbca076d3c667db0"><td class="memItemLeft" align="right" valign="top"><a id="ae2e9409c572d6912bbca076d3c667db0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>HttpResponse</b> (<a class="el" href="classHttpRequest.html">HttpRequest</a> *httpRequest)</td></tr>
<tr class="separator:ae2e9409c572d6912bbca076d3c667db0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a83c668bb537a24f3e62255501fb25e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpResponse.html#a6a83c668bb537a24f3e62255501fb25e">addHeader</a> (std::string name, std::string value)</td></tr>
<tr class="memdesc:a6a83c668bb537a24f3e62255501fb25e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a header to the response message. If the response has already been committed then ignore this request.  <a href="#a6a83c668bb537a24f3e62255501fb25e">More...</a><br /></td></tr>
<tr class="separator:a6a83c668bb537a24f3e62255501fb25e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fa95070f1861a24558f4a63f6d87818"><td class="memItemLeft" align="right" valign="top"><a id="a9fa95070f1861a24558f4a63f6d87818"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpResponse.html#a9fa95070f1861a24558f4a63f6d87818">close</a> ()</td></tr>
<tr class="memdesc:a9fa95070f1861a24558f4a63f6d87818"><td class="mdescLeft">&#160;</td><td class="mdescRight">Close the response. We close the response. If we haven't yet sent the header, we send that now and then close the socket. <br /></td></tr>
<tr class="separator:a9fa95070f1861a24558f4a63f6d87818"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab76b0ba3926f6ddd0396b9cbe75c8cfe"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpResponse.html#ab76b0ba3926f6ddd0396b9cbe75c8cfe">getHeader</a> (std::string name)</td></tr>
<tr class="memdesc:ab76b0ba3926f6ddd0396b9cbe75c8cfe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the value of the named header.  <a href="#ab76b0ba3926f6ddd0396b9cbe75c8cfe">More...</a><br /></td></tr>
<tr class="separator:ab76b0ba3926f6ddd0396b9cbe75c8cfe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a883e5228ab2e8a117bea82853fdcb3"><td class="memItemLeft" align="right" valign="top"><a id="a3a883e5228ab2e8a117bea82853fdcb3"></a>
std::map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>getHeaders</b> ()</td></tr>
<tr class="separator:a3a883e5228ab2e8a117bea82853fdcb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68bc032812a96326d9fe4fde668a372b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpResponse.html#a68bc032812a96326d9fe4fde668a372b">sendData</a> (std::string data)</td></tr>
<tr class="memdesc:a68bc032812a96326d9fe4fde668a372b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send data to the partner. Send some data to the partner. If we haven't yet sent the HTTP header then send that now. We can call this function any number of times before calling close. After calling close, we may not call this function again.  <a href="#a68bc032812a96326d9fe4fde668a372b">More...</a><br /></td></tr>
<tr class="separator:a68bc032812a96326d9fe4fde668a372b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4253a47d101696a39dd18ed25d7670e"><td class="memItemLeft" align="right" valign="top"><a id="ac4253a47d101696a39dd18ed25d7670e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>sendData</b> (uint8_t *pData, size_t size)</td></tr>
<tr class="separator:ac4253a47d101696a39dd18ed25d7670e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af13a61ae987f15599232fa30d2cfdeab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classHttpResponse.html#af13a61ae987f15599232fa30d2cfdeab">setStatus</a> (int status, std::string message)</td></tr>
<tr class="memdesc:af13a61ae987f15599232fa30d2cfdeab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the status code that is to be sent back to the client. When a client makes a request, the response contains a status. This call sets the status that will be sent back to the client.  <a href="#af13a61ae987f15599232fa30d2cfdeab">More...</a><br /></td></tr>
<tr class="separator:af13a61ae987f15599232fa30d2cfdeab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f9ee4a4b3305963fd72c14097a48a60"><td class="memItemLeft" align="right" valign="top"><a id="a9f9ee4a4b3305963fd72c14097a48a60"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>sendFile</b> (std::string fileName, size_t bufSize=4 *1024)</td></tr>
<tr class="separator:a9f9ee4a4b3305963fd72c14097a48a60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a14191faa2704dad3c241058387eba6c8"><td class="memItemLeft" align="right" valign="top"><a id="a14191faa2704dad3c241058387eba6c8"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_STATUS_CONTINUE</b> = 100</td></tr>
<tr class="separator:a14191faa2704dad3c241058387eba6c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78dc24a606063749c4f2e1b97c9a7567"><td class="memItemLeft" align="right" valign="top"><a id="a78dc24a606063749c4f2e1b97c9a7567"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_STATUS_SWITCHING_PROTOCOL</b> = 101</td></tr>
<tr class="separator:a78dc24a606063749c4f2e1b97c9a7567"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbede84921ca67c8b69bc8d34eaca9df"><td class="memItemLeft" align="right" valign="top"><a id="acbede84921ca67c8b69bc8d34eaca9df"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_STATUS_OK</b> = 200</td></tr>
<tr class="separator:acbede84921ca67c8b69bc8d34eaca9df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51aea8413871f1ee4581ac322330e264"><td class="memItemLeft" align="right" valign="top"><a id="a51aea8413871f1ee4581ac322330e264"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_STATUS_MOVED_PERMANENTLY</b> = 301</td></tr>
<tr class="separator:a51aea8413871f1ee4581ac322330e264"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21825e9540a6191a6931462eaf3e84f9"><td class="memItemLeft" align="right" valign="top"><a id="a21825e9540a6191a6931462eaf3e84f9"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_STATUS_BAD_REQUEST</b> = 400</td></tr>
<tr class="separator:a21825e9540a6191a6931462eaf3e84f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a667caee7f0cf004544c857c97cf91d22"><td class="memItemLeft" align="right" valign="top"><a id="a667caee7f0cf004544c857c97cf91d22"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_STATUS_UNAUTHORIZED</b> = 401</td></tr>
<tr class="separator:a667caee7f0cf004544c857c97cf91d22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43582ffd281bc9351381ed13c0f52bbb"><td class="memItemLeft" align="right" valign="top"><a id="a43582ffd281bc9351381ed13c0f52bbb"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_STATUS_FORBIDDEN</b> = 403</td></tr>
<tr class="separator:a43582ffd281bc9351381ed13c0f52bbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4884dda4f4cf2d963392730321a4065"><td class="memItemLeft" align="right" valign="top"><a id="af4884dda4f4cf2d963392730321a4065"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_STATUS_NOT_FOUND</b> = 404</td></tr>
<tr class="separator:af4884dda4f4cf2d963392730321a4065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13d6968a62356795ac2ff57b7c43269c"><td class="memItemLeft" align="right" valign="top"><a id="a13d6968a62356795ac2ff57b7c43269c"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_STATUS_METHOD_NOT_ALLOWED</b> = 405</td></tr>
<tr class="separator:a13d6968a62356795ac2ff57b7c43269c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae872936152764decdd1d850e98666ca"><td class="memItemLeft" align="right" valign="top"><a id="aae872936152764decdd1d850e98666ca"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_STATUS_INTERNAL_SERVER_ERROR</b> = 500</td></tr>
<tr class="separator:aae872936152764decdd1d850e98666ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a210b24a07a5e028f4386d2628f69c3c9"><td class="memItemLeft" align="right" valign="top"><a id="a210b24a07a5e028f4386d2628f69c3c9"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_STATUS_NOT_IMPLEMENTED</b> = 501</td></tr>
<tr class="separator:a210b24a07a5e028f4386d2628f69c3c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6f248fa25a7eef790510c81d086976b"><td class="memItemLeft" align="right" valign="top"><a id="aa6f248fa25a7eef790510c81d086976b"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>HTTP_STATUS_SERVICE_UNAVAILABLE</b> = 503</td></tr>
<tr class="separator:aa6f248fa25a7eef790510c81d086976b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6a83c668bb537a24f3e62255501fb25e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a83c668bb537a24f3e62255501fb25e">&#9670;&nbsp;</a></span>addHeader()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HttpResponse::addHeader </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Add a header to the response message. If the response has already been committed then ignore this request. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the header. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">value</td><td>The value of the header. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ab76b0ba3926f6ddd0396b9cbe75c8cfe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab76b0ba3926f6ddd0396b9cbe75c8cfe">&#9670;&nbsp;</a></span>getHeader()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string HttpResponse::getHeader </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the value of the named header. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">name</td><td>The name of the header for which the value is to be returned. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value of the named header. </dd></dl>

</div>
</div>
<a id="a68bc032812a96326d9fe4fde668a372b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68bc032812a96326d9fe4fde668a372b">&#9670;&nbsp;</a></span>sendData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HttpResponse::sendData </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send data to the partner. Send some data to the partner. If we haven't yet sent the HTTP header then send that now. We can call this function any number of times before calling close. After calling close, we may not call this function again. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">data</td><td>The data to send to the partner. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="af13a61ae987f15599232fa30d2cfdeab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af13a61ae987f15599232fa30d2cfdeab">&#9670;&nbsp;</a></span>setStatus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void HttpResponse::setStatus </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>message</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the status code that is to be sent back to the client. When a client makes a request, the response contains a status. This call sets the status that will be sent back to the client. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">status</td><td>The status code to be sent back to the caller. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">message</td><td>The message to be sent with the status code. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="HttpResponse_8h_source.html">HttpResponse.h</a></li>
<li>HttpResponse.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
